configure: remove --enable-libusb0 option, rework libusb selection34/1434/6
authorPaul Fertser <fercerpav@gmail.com>
Mon, 3 Jun 2013 20:07:07 +0000 (00:07 +0400)
committerSpencer Oliver <spen@spen-soft.co.uk>
Wed, 12 Jun 2013 14:40:29 +0000 (14:40 +0000)
commit6be2a55bde5531de9897fd844c6db13e49213ae8
tree454825941973e61b6e881903ae54291405e74062
parent71ee5f6b5f3172901135640de4ca827b14747465
configure: remove --enable-libusb0 option, rework libusb selection

This makes libusb handling more consistent: if any driver requires
libusb, first check for libusb-1 availability, if not found and
libusb0 is ok for this case, try libusb0.

A user-visible bug fixed by this is that when a user was selecting a
driver that required libusb-1 but was lacking the necessary dev files
or libraries, configure didn't complain (but the build was failing of
course).

--enable-stlink doesn't really require libusb-1 but since it's using the
same automake symbol HLAADAPTER, ti_icdi is getting built too which needs
libusb1 unconditionally. Since using libusb-0.1 makes little sense anyway,
leave that as is.

Signed-off-by: Paul Fertser <fercerpav@gmail.com>
Change-Id: I630a4ad9e4583743d45b2233bf5d8f4e5c0aab82
Reviewed-on: http://openocd.zylin.com/1434
Tested-by: jenkins
Reviewed-by: Spencer Oliver <spen@spen-soft.co.uk>
README
configure.ac
src/jtag/drivers/Makefile.am